package net.sevecek.dailyplanet;

import java.sql.*;
import java.util.*;
import org.mariadb.jdbc.*;
import org.springframework.beans.factory.annotation.*;
import org.springframework.jdbc.core.*;
import org.springframework.stereotype.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.*;

@Controller
public class HlavniController {

    @Autowired
    private AutorRepository poskytovatelDat;

    @RequestMapping(value = "/hlavni.html", method = RequestMethod.GET)
    public ModelAndView zobrazHlavniStranku() {
        ModelAndView drzacekNaSablonuAData;
        drzacekNaSablonuAData = new ModelAndView(
                "/WEB-INF/view/hlavni.jsp");

        List<Autor> seznamAutoru = poskytovatelDat.findAll();

        drzacekNaSablonuAData.addObject("autori", seznamAutoru);
        return drzacekNaSablonuAData;
    }

}
